import redis
import turtle

host = "localhost"
channel = "LPH"

# Connect to Redis
r = redis.Redis(host=host)

# Subscribe to Redis channel
p = r.pubsub()
p.psubscribe(channel)

# Set a title to Turtle window
turtle.title(channel)

def main():
    print("> Main Sub")
    # Iter on every message
    for message in p.listen():
        # Get only message
        if message.get("type") != "pmessage":
            continue

        # Get data from message
        command = message.get("data").decode()
        match command:
            case "FORWARD":
                print("> F")
                turtle.forward(100)
            case "BACKWARD":
                print("> B")
                turtle.backward(100)
            case "LEFT":
                print("> L")
                turtle.left(90)
            case "RIGHT":
                print("> R")
                turtle.right(90)
            case "EXIT":
                print("Bye !")
                return
            case _:
                print("Unknow command : %s" % command)

